function [tri, xyz] = ReadSTL(name)
%
%
%   [tri, xyz] = ReadSTL(name)
%
%       --Input
%       name: input file name as a string
%
%       --Output:
%       tri: a n-3 matrix containing indices to vertices in xyz
%       xyz: a m-3 matrix containing vertex positions
%

try
    fid = fopen(name, 'r');

    tri = [];
    xyz = [];

    while(~feof(fid))
        str = fscanf(fid, '%s', 1);

        if(strcmp(str, 'vertex') == 1)
            pos = fscanf(fid, '%f', 3);
            xyz = [xyz; pos'];
        end
    end

    n = size(xyz, 1);
    ntri = round(n / 3);

    for i=0:(ntri - 1)
        j = i * 3;
        tri = [tri; j + 1, j + 2, j + 3];
    end

    fclose(fid);

catch expr
    disp(expr);
end

end
